{Echo.spin
  Arthor:  John Abshier
           jabshier on forum
  Purpose:  To demo transfering data to Propeller via WiFI
}


CON
        _clkmode = xtal1 + pll16x                                               'Standard clock mode * crystal frequency = 80 MHz
        _xinfreq = 5_000_000

        LCD_TX = 19
        XBee_DO = 4
        XBee_DI = 3
        GLED = 1
        RLED = 2
VAR
  byte  fromXBee[81]
  byte  aChar
  long  value
OBJ
  TR:  "Serial Terminal"              ' Object under test
  
PUB Main
  TR.Start(115200)
  TR.SetTimeout(10_000)         ' 10 second timeout
  repeat
    TR.Str(string("input a number",13))
    value := TR.DecInTime
    if value == NEGX
      TR.Str(string("Timeout",13))
    elseif value == POSX
      TR.Str(string("Invalid character",13))
    else
      TR.Dec(value)
      TR.Char(13)          

    TR.Str(string("Input a string",13))
    if TR.StrInMaxTime(@fromXBee,80) == NEGX
      TR.Str(string("Time out",13))
    else
      TR.Str(@fromXBee)
      TR.Char(13)         